petsc-3.4.2 2013-07-02

# DMADDAGetCorners

Gets the corners of the local area

### Synopsis

    #include "petscdmadda.h"
    PetscErrorCode  DMADDAGetCorners(DM dm, PetscInt **lcorner, PetscInt **ucorner)

Not Collective

### Input Parameter

adda -the ADDA object

### Output Parameter

| lcorner | - the "lower" corner
| ucorner | - the "upper" corner

Both lcorner and ucorner are allocated by this procedure and will point to an array of size dd->dim.

### Keywords

distributed array, refinement

Level:beginner
Location:src/dm/impls/adda/adda.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex40.c.html